#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'mailinfo.edit'}
#{/set}

<ol class="breadcrumb">
	<li><a href="@{admin.EmailCtr.index()}" >&{'mailinfo.manajemail'}</a></li>
	<li class="active">&{'mailinfo.edit'}</li>
</ol>

<div class="content">
#{alert /}
#{form @admin.EmailCtr.InfoServerSimpanSubmit(), method:'POST'}
<div class="row">
  <div class="col-md-6">
  	<div class="form-group">
	    <label class="col-lg-4 control-label">&{'mailinfo.smtp'} <span class="warning">*</span></label>
	    <div class="col-lg-8">
	      <input type="text" name="epns.mail-server" value="${mail_server}" class="form-control">
	    </div>
  	</div>
  	<div class="form-group">
	    <label class="col-lg-4 control-label">&{'mailinfo.smtpport'} <span class="warning">*</span></label>
	    <div class="col-lg-8">
	      <input type="text" name="epns.mail-port" value="${mail_port}" class="form-control">
	    </div>
  	</div>
  	<div class="form-group">
	    <label class="col-lg-4 control-label">&{'mailinfo.defaultsender'} <span class="warning">*</span></label>
	    <div class="col-lg-8">
	      <input type="text" name="epns.mail-sender" value="${mail_sender}" class="form-control">
	      <span class="help-block">&{'mailinfo.contoh'}: &quot;Admin&quot;&lt;admin@lpse.go.id&gt;</span>
	    </div>	    
  	</div>
  </div>
  <div class="col-md-6">
		<div class="form-group">
	    <label class="col-lg-4 control-label">&{'mailinfo.rentry'}</label>
	    <div class="col-lg-8">
	      <input type="text" name="epns.mail-retry" value="${mail_retry}" class="form-control">
	    </div>
  	</div>
  	<div class="form-group">
	    <label class="col-lg-4 control-label">&{'mailinfo.delay'}</label>
	    <div class="col-lg-8">
	      <input type="text" name="epns.mail-delay" value="${mail_delay}" class="form-control">
	    </div>
  	</div>
  	<div class="form-group">
	    <label class="col-lg-4 control-label">&{'mailinfo.defaultpwd'}</label>
	    <div class="col-lg-8">
			<div class="input-group">
	      		<input type="password" name="epns.mail-password" value="${mail_password}" class="form-control pwd1">
				<div class="input-group-append reveal1"><span class="input-group-text"><i class="fa fa-eye"></i></span></div>
			</div>
	    </div>
  	</div>
  	<div class="form-group">
	    <div class="col-lg-offset-4 col-lg-8">
	       #{saveButton /}
	    </div>
  	</div>   
  </div>
</div>   
#{/form}
<div class="bs-callout bs-callout-warning"><span class="warning">*</span>) &{'mailinfo.required'}</div>

<br />
<div class="panel panel-default" style="width: 400px;">
	<div class="panel-heading">&{'mailinfo.test'}</div>
	#{form @admin.EmailCtr.tesKirim(), method:'POST', class:'form-horizontal'}
	<div class="form-group">
	    <label class="col-lg-2 control-label">&{'mailinfo.to'}</label>
	    <div class="col-lg-10">
	      <input type="text" size="40" name="mailTo"  class="form-control">
	    </div>
  	</div>
  	<div class="form-group">
	    <label class="col-lg-2 control-label">&{'mailinfo.subjek'}</label>
	    <div class="col-lg-10">
	      <input type="text" size="40" name="mailSubject" class="form-control">
	    </div>
  	</div>
  	<div class="form-group row" style="padding:10px;">
	    <label class="col-lg-2 col-form-label">Isi</label>
	    <div class="col-lg-10">
	       <textarea class="form-control" name="mailValue" cols="50" rows="9"></textarea>	      
	    </div>
  	</div>
  	<div class="form-group row" style="padding:10px;">
	    <div class="col-lg-offset-2 col-lg-10">
	      #{saveButton title:'Test Email' /} 
	    </div>
  	</div>    
 	#{/form}
</div>
</div>

#{set 'custom_script'}
<script type="text/javascript">
    $(".reveal1").on('click',function() {
        var $pwd = $(".pwd1");
        if ($pwd.attr('type') === 'password') {
            $pwd.attr('type', 'text');
        } else {
            $pwd.attr('type', 'password');
        }
    });
</script>
#{/set}
